Create RTStream alert
curl --request POST \
--url https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"event_id": "event-12345",
"callback_url": "https://webhook.example.com/alert",
"ws_connection_id": "conn-123"
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: 'event-12345',
callback_url: 'https://webhook.example.com/alert',
ws_connection_id: 'conn-123'
})
};
fetch('https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"event_id": "event-12345",
"callback_url": "https://webhook.example.com/alert",
"ws_connection_id": "conn-123"
}'import Foundation
let parameters = [
"event_id": "event-12345",
"callback_url": "https://webhook.example.com/alert",
"ws_connection_id": "conn-123"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"event_id\": \"event-12345\",\n \"callback_url\": \"https://webhook.example.com/alert\",\n \"ws_connection_id\": \"conn-123\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"event_id\": \"event-12345\",\n \"callback_url\": \"https://webhook.example.com/alert\",\n \"ws_connection_id\": \"conn-123\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: 'event-12345',
callback_url: 'https://webhook.example.com/alert',
ws_connection_id: 'conn-123'
})
};
fetch('https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"event_id\": \"event-12345\",\n \"callback_url\": \"https://webhook.example.com/alert\",\n \"ws_connection_id\": \"conn-123\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"event_id\": \"event-12345\",\n \"callback_url\": \"https://webhook.example.com/alert\",\n \"ws_connection_id\": \"conn-123\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"event_id\": \"event-12345\",\n \"callback_url\": \"https://webhook.example.com/alert\",\n \"ws_connection_id\": \"conn-123\"\n}")
val request = Request.Builder()
.url("https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"alert_id": "alert-12345"
}
}Create Alert
Create an alert on a stream scene index
POST
/
rtstream
/
{stream_id}
/
index
/
{scene_index_id}
/
alert
Create RTStream alert
an alert that triggers when a detection event matches on a stream’s scene index. Alerts can send webhooks or WebSocket notifications.
event_idis required - must reference an existing detection event- Use
callback_urlfor HTTP webhook notifications when the event is detected - Use
ws_connection_idfor real-time WebSocket notifications - Alerts are created in
enabledstatus by default
Create Event
Define a detection event first
Alerts Guide
Learn about alerts and callbacks
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"rts-12345"
Example:
"scene-idx-12345"
Body
application/json
⌘I